CURRENT=paper

.PHONY: view spell print %-disp %-print %-ispell %-aspell

view: $(CURRENT)-disp

spell: $(CURRENT)-aspell

print: $(CURRENT)-print

%-disp: %.dvi
	xdvi $<

%.dvi: %.tex
	latex $<

%-print: %.dvi
	dvips $<

%-ispell: %.tex
	ispell $<

%-aspell: %.tex
	aspell -c $<

%.ps: %.dvi
	dvips -o $@ $<

%.pdf: %.dvi
	dvipdf $< $@

#htdocs/%.html: %.tex
#	latex2html -dir htdocs -prefix $(<:.tex=) -split 0 -address '<A HREF="mailto:dylan@dylex.caltech.edu">DAS</A>' $<
# clobbers index.html

%/index.html: %.tex
	latex2html -dir $(<:.tex=) -split 0 -address '<A HREF="mailto:dylan@dylex.caltech.edu">DAS</A>' $<

clean-rec:
	rm -f *.ps *.dvi *.aux *.log *.bak

clean: clean-rec
